import { propertiesListToString } from "@expo/config-plugins/build/android/Properties";
import React, { useEffect, useState }from "react";
import { StyleSheet, View, Text, Button } from 'react-native';
import { globalStyles } from "../styles/global";

export default App = ({ navigation }) => {
    const [PIN, setPIN] = useState([]); // this is looking for 'PIN' and it's content
  
    // this connects us to the API and fetches the json file with the mociones
    const getMociones = async () => {
       try {
        const response = await fetch('http://10.190.1.140:5000/send?PIN=121071'); // connection to the website 
        const json = await response.json();
  
        // setting the content of each category 
        setPIN(json.PIN);
  
      } catch (error) {
        console.error(error);
      } 
      
    }

    const pressHandler = () => {
        navigation.navigate('Pinpage', {Pin:PIN});
    }
    
    useEffect(() => {
        getMociones();
      }, []);

    return (
        <View style = {globalStyles.container}>
            <Text style = {globalStyles.tittleText}>Home Screen</Text>
            <Button title="go to pin page" onPress={pressHandler}/>
        </View>
    )
}